org.h2.util.geometry

## Class GeometryUtils.DimensionSystemTarget

- java.lang.Object
- - org.h2.util.geometry.GeometryUtils.Target
  - - org.h2.util.geometry.GeometryUtils.DimensionSystemTarget

Enclosing class:
  GeometryUtils

    public static final class GeometryUtils.DimensionSystemTarget
    extends GeometryUtils.Target

Converter output target that determines minimal dimension system for a geometry.

### Constructor Summary

Constructors
Constructor and Description
`GeometryUtils.DimensionSystemTarget()` Creates a new dimension system determination target.

### Method Summary

Methods
`protected void` `addCoordinate(double x, double y, double z, double m, int index, int total)` Invoked to add a coordinate to a geometry.
`protected void` `dimensionSystem(int dimensionSystem)` Invoked to add dimension system requirement.
`int` `getDimensionSystem()` Returns the minimal dimension system.

### Methods inherited from class org.h2.util.geometry.GeometryUtils.Target

`endCollection, endCollectionItem, endNonEmptyPolygon, init, startCollection, startCollectionItem, startLineString, startPoint, startPolygon, startPolygonInner`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GeometryUtils.DimensionSystemTarget

    public GeometryUtils.DimensionSystemTarget()

Creates a new dimension system determination target.

### Method Detail

#### dimensionSystem

    protected void dimensionSystem(int dimensionSystem)

Description copied from class: `GeometryUtils.Target`
Invoked to add dimension system requirement.

Overrides:
  `dimensionSystem` in class `GeometryUtils.Target`
Parameters:
  `dimensionSystem` - dimension system

#### addCoordinate

    protected void addCoordinate(double x,
                     double y,
                     double z,
                     double m,
                     int index,
                     int total)

Description copied from class: `GeometryUtils.Target`
Invoked to add a coordinate to a geometry.

Specified by:
  `addCoordinate` in class `GeometryUtils.Target`
Parameters:
  `x` - X coordinate
  `y` - Y coordinate
  `z` - Z coordinate (NaN if not used)
  `m` - M coordinate (NaN if not used)
  `index` - 0-based index of coordinate in the current sequence
  `total` - total number of coordinates in the current sequence

#### getDimensionSystem

    public int getDimensionSystem()

Returns the minimal dimension system.

Returns:
  the minimal dimension system